OpenVDB: SampleFromVoxels< TreeOrAccT, 1, false > Class Template Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
SampleFromVoxels< TreeOrAccT, 1, false > Class Template Reference

Template specialization that does not use caching of stencil points. More...

`#include <nanovdb/util/SampleFromVoxels.h>`

Inheritance diagram for SampleFromVoxels< TreeOrAccT, 1, false >:

## Public Member Functions
| SampleFromVoxels (const TreeOrAccT &acc)
| Construction from a Tree or ReadAccessor.
template<typename RealT , template< typename... > class Vec3T>
ValueT | operator() (Vec3T< RealT > xyz) const
ValueT | operator() (const CoordT &ijk) const
template<typename RealT , template< typename... > class Vec3T>
Vec3T< ValueT > | gradient (Vec3T< RealT > xyz) const
| Return the gradient in index space.
template<typename RealT , template< typename... > class Vec3T>
bool | zeroCrossing (Vec3T< RealT > xyz) const
| Return true if the tr-linear stencil has a zero crossing at the specified index position.
template<typename RealT , template< typename... > class Vec3T>
TreeOrAccT::ValueType | operator() (Vec3T< RealT > xyz) const
template<typename RealT , template< typename... > class Vec3T>
Vec3T< typename TreeOrAccT::ValueType > | gradient (Vec3T< RealT > xyz) const
const TreeOrAccT & | accessor () const
void | stencil (CoordT &ijk, ValueT(&v)[2][2][2]) const
| Extract the stencil of 8 values.
template<typename RealT , template< typename... > class Vec3T>
TreeOrAccT::ValueType | sample (const Vec3T< RealT > &uvw, const ValueT(&v)[2][2][2])

## Static Public Member Functions
template<typename RealT , template< typename... > class Vec3T>
static ValueT | sample (const Vec3T< RealT > &uvw, const ValueT(&v)[2][2][2])
template<typename RealT , template< typename... > class Vec3T>
static Vec3T< ValueT > | gradient (const Vec3T< RealT > &uvw, const ValueT(&v)[2][2][2])
static bool | zeroCrossing (const ValueT(&v)[2][2][2])

## Static Public Attributes
static const int | ORDER = 1

## Protected Attributes
const TreeOrAccT & | mAcc

## Detailed Description

template<typename TreeOrAccT>
class nanovdb::SampleFromVoxels< TreeOrAccT, 1, false >

Template specialization that does not use caching of stencil points.

## Constructor & Destructor Documentation

## ◆ SampleFromVoxels()

template<typename TreeOrAccT >

SampleFromVoxels | ( | const TreeOrAccT & | acc | ) |
| inline

Construction from a Tree or ReadAccessor.

## Member Function Documentation

## ◆ accessor()

template<typename TreeOrAccT >

const TreeOrAccT & accessor | ( |  | ) | const
| inlineinherited

## ◆ gradient() [1/3]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

static Vec3T< ValueT > gradient | ( | const Vec3T< RealT > & | uvw,
|  | const ValueT(&) | v[2][2][2]
| ) |  |
| inlinestaticinherited

## ◆ gradient() [2/3]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

Vec3T< ValueT > gradient | ( | Vec3T< RealT > | xyz | ) | const
| inline

Return the gradient in index space.

Warning
  Will only compile with floating point value types

## ◆ gradient() [3/3]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

Vec3T< typename TreeOrAccT::ValueType > gradient | ( | Vec3T< RealT > | xyz | ) | const
| inline

## ◆ operator()() [1/3]

template<typename TreeOrAccT >

ValueT operator() | ( | const CoordT & | ijk | ) | const
| inline

Note
  ijk is in index space space

## ◆ operator()() [2/3]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

ValueT operator() | ( | Vec3T< RealT > | xyz | ) | const
| inline

Note
  xyz is in index space space

## ◆ operator()() [3/3]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

TreeOrAccT::ValueType operator() | ( | Vec3T< RealT > | xyz | ) | const

## ◆ sample() [1/2]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

static ValueT sample | ( | const Vec3T< RealT > & | uvw,
|  | const ValueT(&) | v[2][2][2]
| ) |  |
| inlinestaticinherited

## ◆ sample() [2/2]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

TreeOrAccT::ValueType sample | ( | const Vec3T< RealT > & | uvw,
|  | const ValueT(&) | v[2][2][2]
| ) |  |
| inherited

## ◆ stencil()

template<typename TreeOrAccT >

void stencil | ( | CoordT & | ijk,
|  | ValueT(&) | v[2][2][2]
| ) |  | const
| inlineinherited

Extract the stencil of 8 values.

## ◆ zeroCrossing() [1/2]

template<typename TreeOrAccT >

bool zeroCrossing | ( | const ValueT(&) | v[2][2][2] | ) |
| inlinestaticinherited

## ◆ zeroCrossing() [2/2]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

bool zeroCrossing | ( | Vec3T< RealT > | xyz | ) | const
| inline

Return true if the tr-linear stencil has a zero crossing at the specified index position.

Warning
  Will only compile with floating point value types

## Member Data Documentation

## ◆ mAcc

template<typename TreeOrAccT >

const TreeOrAccT& mAcc
| protectedinherited

## ◆ ORDER

template<typename TreeOrAccT >

const int ORDER = 1
| staticinherited